Skip to content

Abort Checkout

POST
/api/Checkout/sessions/me/abort
curl --request POST \
--url https://example.com/api/Checkout/sessions/me/abort \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "sessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "reason": "example" }'

Marks the session Failed and fires the checkout.failed webhook.

object
sessionId
required
string format: uuid
reason
string
nullable <= 500 characters
Example generated
{
"sessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"reason": "example"
}

OK

Media type application/json
object
status
string
Allowed values: Pending AwaitingPayment Completed Failed Expired
returnUrl
string
nullable
failureReason
string
nullable
Example
{
"status": "Pending"
}

Not Found

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Conflict

Media type application/json
object
status
string
Allowed values: Pending AwaitingPayment Completed Failed Expired
returnUrl
string
nullable
failureReason
string
nullable
Example
{
"status": "Pending"
}